#ifndef DEFINED_LPC1114_REGISTERS
#define DEFINED_LPC1114_REGISTERS

enum {
    SYSAHBCLKCTRL_SYS = (1<<0),
    SYSAHBCLKCTRL_ROM = (1<<1),
    SYSAHBCLKCTRL_RAM = (1<<2),
    SYSAHBCLKCTRL_FLASHREG = (1<<3),
    SYSAHBCLKCTRL_FLASHARRAY = (1<<4),
    SYSAHBCLKCTRL_I2C = (1<<5),
    SYSAHBCLKCTRL_GPIO = (1<<6),
    SYSAHBCLKCTRL_CT16B0 = (1<<7),
    SYSAHBCLKCTRL_CT16B1 = (1<<8),
    SYSAHBCLKCTRL_CT32B0 = (1<<9),
    SYSAHBCLKCTRL_CT32B1 = (1<<10),
    SYSAHBCLKCTRL_SSP0 = (1<<11),
    SYSAHBCLKCTRL_UART = (1<<12),
    SYSAHBCLKCTRL_ADC = (1<<13),
    /* bit 14 unused */
    SYSAHBCLKCTRL_WDT = (1<<15),
    SYSAHBCLKCTRL_IOCON = (1<<16),
    SYSAHBCLKCTRL_CAN = (1<<17),
    SYSAHBCLKCTRL_SSP1 = (1<<18)
    /* 31:19 unused */
};

/*====================================*
 * LPC1114 UART Register definitions. *
 *====================================*
 */

// bit definitions of uart IER register
#define IER_RBR     0x01
#define IER_THRE    0x02
#define IER_RXL     0x04
#define IER_ABEO    0x10
#define IER_ABTO    0x20

// value definitions for uart IIR register
#define IIR_RLS     0x06
#define IIR_RDA     0x04
#define IIR_CTI     0x0C
#define IIR_THRE    0x02
#define IIR_MODEM   0x01

// bit definitions of uart LSR register
#define LSR_RDR     0x01
#define LSR_OE      0x02
#define LSR_PE      0x04
#define LSR_FE      0x08
#define LSR_BI      0x10
#define LSR_THRE    0x20
#define LSR_TEMT    0x40
#define LSR_RXFE    0x80

#endif // DEFINED_LPC1114_REGISTERS
